--- old/usr/src/cmd/fm/dicts/ZFS.po	Mon Aug  5 17:14:45 2019
+++ new/usr/src/cmd/fm/dicts/ZFS.po	Mon Aug  5 17:14:45 2019
@@ -1,7 +1,4 @@
 #
-# Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
-# Use is subject to license terms.
-#
 # CDDL HEADER START
 #
 # The contents of this file are subject to the terms of the
@@ -21,9 +18,14 @@
 #
 # CDDL HEADER END
 #
+
+
 #
-# DO NOT EDIT -- this file is generated by the Event Registry.
+# Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
+# Use is subject to license terms.
+# Copyright 2017 Nexenta Systems, Inc.
 #
+
 #
 # code: ZFS-8000-14
 # keys: ereport.fs.zfs.pool.corrupt_cache
@@ -33,13 +35,13 @@
 msgid "ZFS-8000-14.severity"
 msgstr "Critical"
 msgid "ZFS-8000-14.description"
-msgstr "The ZFS cache file is corrupted  Refer to %s for more information."
+msgstr "The ZFS cache file is corrupted."
 msgid "ZFS-8000-14.response"
 msgstr "No automated response will be taken."
 msgid "ZFS-8000-14.impact"
 msgstr "ZFS filesystems are not available"
 msgid "ZFS-8000-14.action"
-msgstr "\nZFS keeps a list of active pools on the filesystem to avoid having to\nscan all devices when the system is booted.  If this file is corrupted, then\nnormally active pools will not be automatically opened.  The pools can be\nrecovered using the 'zpool import' command:\n\n\n# zpool import\n  pool: test\n    id: 12743384782310107047\n state: ONLINE\naction: The pool can be imported using its name or numeric identifier.\nconfig:\n\n        test              ONLINE\n          c0t0d0          ONLINE\n\n\nThis will automatically scan /dev/dsk for any\ndevices part of a pool.  If devices have been made available in an alternate\nlocation, use the '-d' option to 'zpool import' to search for devices in a\ndifferent directory.\n\nOnce you have determined which pools are available for import, you can\nimport the pool explicitly by specifying the name or numeric\nidentifier:\n\n\n# zpool import test\n\n\nAlternately, you can import all available pools by specifying the\n'-a' option.  Once a pool has been imported, the ZFS cache will be repaired so\nthat the pool will appear normally in the future.\n	"
+msgstr "Re-import the pool(s) to recreate ZFS cache file."
 #
 # code: ZFS-8000-2Q
 # keys: ereport.fs.zfs.device.missing_r
@@ -49,13 +51,13 @@
 msgid "ZFS-8000-2Q.severity"
 msgstr "Major"
 msgid "ZFS-8000-2Q.description"
-msgstr "A device in a replicated configuration could not be\n	    opened.  Refer to %s for more information."
+msgstr "A device in a replicated configuration could not be opened."
 msgid "ZFS-8000-2Q.response"
 msgstr "A hot spare will be activated if available."
 msgid "ZFS-8000-2Q.impact"
-msgstr "The pool is no longer providing the configured level of\n	    replication."
+msgstr "The pool is no longer providing the configured level of replication."
 msgid "ZFS-8000-2Q.action"
-msgstr "\nFor an active pool\n\nIf this error was encountered while running 'zpool import', please see\nthe section below.  Otherwise, run 'zpool status -x' to determine which pool has\nexperienced a failure:\n\n\n# zpool status -x\n  pool: test\n state: DEGRADED\nstatus: One or more devices could not be opened.  Sufficient replicas exist for\n        the pool to continue functioning in a degraded state.\naction: Attach the missing device and online it using 'zpool online'.\n   see: http://illumos.org/msg/ZFS-8000-2Q\n scrub: none requested\nconfig:\n\n        NAME                  STATE     READ WRITE CKSUM\n        test                  DEGRADED     0     0     0\n          mirror              DEGRADED     0     0     0\n            c0t0d0            ONLINE       0     0     0\n            c0t0d1            FAULTED      0     0     0  cannot open\n\nerrors: No known data errors\n\n\nDetermine which device failed to open by looking for a FAULTED device\nwith an additional 'cannot open' message.  If this device has been inadvertently\nremoved from the system, attach the device and bring it online with 'zpool\nonline':\n\n\n# zpool online test c0t0d1\n\n\nIf the device is no longer available, the device can be replaced using\nthe 'zpool replace' command:\n\n\n# zpool replace test c0t0d1 c0t0d2\n\n\nIf the device has been replaced by another disk in the same physical\nslot, then the device can be replaced using a single argument to the 'zpool\nreplace' command:\n\n\n# zpool replace test c0t0d1\n\n\nExisting data will be resilvered to the new device.  Once the\nresilvering completes, the device will be removed from the pool.\n\nFor an exported pool\n\nIf this error is encountered during a 'zpool import', it means that one\nof the devices is not attached to the system:\n\n\n# zpool import\n  pool: test\n    id: 10121266328238932306\n state: DEGRADED\nstatus: One or more devices are missing from the system.\naction: The pool can be imported despite missing or damaged devices.  The\n        fault tolerance of the pool may be compromised if imported.\n   see: http://illumos.org/msg/ZFS-8000-2Q\nconfig:\n\n        test              DEGRADED\n          mirror          DEGRADED\n            c0t0d0        ONLINE\n            c0t0d1        FAULTED   cannot open\n\n\nUnlike when the pool is active on the system, the device cannot be\nreplaced while the pool is exported.  If the device can be attached to the\nsystem, attach the device and run 'zpool import' again.\n\nAlternatively, the pool can be imported as-is, though it will be placed\nin the DEGRADED state due to a missing device.  The device will be marked as\nUNAVAIL.  Once the pool has been imported, the missing device can be replaced as\ndescribed above.\n	"
+msgstr "Replace the bad device."
 #
 # code: ZFS-8000-3C
 # keys: ereport.fs.zfs.device.missing_nr
@@ -65,13 +67,13 @@
 msgid "ZFS-8000-3C.severity"
 msgstr "Critical"
 msgid "ZFS-8000-3C.description"
-msgstr "A device could not be opened and no replicas are available.  Refer to %s for more information."
+msgstr "A device could not be opened and no replicas are available."
 msgid "ZFS-8000-3C.response"
 msgstr "No automated response will be taken."
 msgid "ZFS-8000-3C.impact"
 msgstr "The pool is no longer available"
 msgid "ZFS-8000-3C.action"
-msgstr "\nFor an active pool\n\nIf this error was encountered while running 'zpool import', please see\nthe section below.  Otherwise, run 'zpool status -x' to determine which pool\nhas experienced a failure:\n\n\n# zpool status -x\n  pool: test\n state: FAULTED\nstatus: One or more devices could not be opened.  There are insufficient\n	replicas for the pool to continue functioning.\naction: Attach the missing device and online it using 'zpool online'.\n   see: http://illumos.org/msg/ZFS-8000-3C\n scrub: none requested\nconfig:\n\n        NAME                  STATE     READ WRITE CKSUM\n        test                  FAULTED      0     0     0  insufficient replicas\n          c0t0d0              ONLINE       0     0     0\n          c0t0d1              FAULTED      0     0     0  cannot open\n\nerrors: No known data errors\n\n\nIf the device has been temporarily detached from the system, attach the\ndevice to the system and run 'zpool status' again.  The pool should\nautomatically detect the newly attached device and resume functioning.  You may\nhave to mount the filesystems in the pool explicitly using 'zfs\nmount -a'.\n\nIf the device is no longer available and cannot be reattached to the\nsystem, then the pool must be destroyed and re-created from a backup\nsource.\n\nFor an exported pool\n\nIf this error is encountered during a 'zpool import', it means that one\nof the devices is not attached to the system:\n\n\n# zpool import\n  pool: test\n    id: 10121266328238932306\n state: FAULTED\nstatus: One or more devices are missing from the system.\naction: The pool cannot be imported.  Attach the missing devices and\n	try again.\n   see: http://illumos.org/msg/ZFS-8000-3C\nconfig:\n\n        test              FAULTED   insufficient replicas\n          c0t0d0          ONLINE\n          c0t0d1          FAULTED   cannot open\n\n\nThe pool cannot be imported until the missing device is attached to the\nsystem.  If the device has been made available in an alternate location, use the\n'-d' option to 'zpool import' to search for devices in a different directory.\nIf the missing device is unavailable, then the pool cannot be imported.\n	"
+msgstr "If the device is no longer available and cannot be reattached to the system, then the pool must be destroyed and re-created from a backup source."
 #
 # code: ZFS-8000-4J
 # keys: ereport.fs.zfs.device.corrupt_label_r
@@ -81,13 +83,13 @@
 msgid "ZFS-8000-4J.severity"
 msgstr "Major"
 msgid "ZFS-8000-4J.description"
-msgstr "A device could not be opened due to a missing or invalid\n	    device label.  Refer to %s for more information."
+msgstr "A device could not be opened due to a missing or invalid device label."
 msgid "ZFS-8000-4J.response"
 msgstr "A hot spare will be activated if available."
 msgid "ZFS-8000-4J.impact"
-msgstr "The pool is no longer providing the configured level of\n	    replication."
+msgstr "The pool is no longer providing the configured level of replication."
 msgid "ZFS-8000-4J.action"
-msgstr "\nFor an active pool\n\nIf this error was encountered while running 'zpool import', please see\nthe section below.  Otherwise, run 'zpool status -x' to determine which pool\nhas experienced a failure:\n\n\n\n# zpool status -x\n  pool: test\n state: DEGRADED\nstatus: One or more devices could not be used because the label is missing or\n        invalid.  Sufficient replicas exist for the pool to continue\n        functioning in a degraded state.\naction: Replace the device using 'zpool replace'.\n   see: http://illumos.org/msg/ZFS-8000-4J\n scrub: none requested\nconfig:\n\n        NAME                  STATE     READ WRITE CKSUM\n        test                  DEGRADED     0     0     0\n          mirror              DEGRADED     0     0     0\n            c0t0d0            ONLINE       0     0     0\n            c0t0d1            FAULTED      0     0     0  corrupted data\n\nerrors: No known data errors\n\n\nIf the device has been temporarily detached from the system, attach the\ndevice to the system and run 'zpool status' again.  The pool should\nautomatically detect the newly attached device and resume functioning.\n\nIf the device is no longer available, it can be replaced using 'zpool\nreplace':\n\n\n# zpool replace test c0t0d1 c0t0d2\n\n\nIf the device has been replaced by another disk in the same physical\nslot, then the device can be replaced using a single argument to the 'zpool\nreplace' command:\n\n\n# zpool replace test c0t0d1\n\n\nZFS will begin migrating data to the new device as soon as the replace\nis issued.  Once the resilvering completes, the original device (if different\nfrom the replacement) will be removed, and the pool will be restored to the\nONLINE state.\n\nFor an exported pool\n\nIf this error is encountered while running 'zpool import', the pool can\nbe still be imported despite the failure:\n\n\n# zpool import\n  pool: test\n    id: 5187963178597328409\n state: DEGRADED\nstatus: One or more devices contains corrupted data.  The fault tolerance of\n	the pool may be compromised if imported.\naction: The pool can be imported using its name or numeric identifier.\n   see: http://illumos.org/msg/ZFS-8000-4J\nconfig:\n\n        test              DEGRADED\n          mirror          DEGRADED\n            c0t0d0        ONLINE\n            c0t0d1        FAULTED   corrupted data\n\n\nTo import the pool, run 'zpool import':\n\n\n# zpool import test\n\n\nOnce the pool has been imported, the damaged device can be replaced\naccording to the above procedure.\n	"
+msgstr "Replace the bad device."
 #
 # code: ZFS-8000-5E
 # keys: ereport.fs.zfs.device.corrupt_label_nr
@@ -97,13 +99,13 @@
 msgid "ZFS-8000-5E.severity"
 msgstr "Critical"
 msgid "ZFS-8000-5E.description"
-msgstr "A device could not be opened due to a missing or invalid\n	    device label and no replicas are available.  Refer to %s for more information."
+msgstr "A device could not be opened due to a missing or invalid device label and no replicas are available."
 msgid "ZFS-8000-5E.response"
 msgstr "No automated response will be taken."
 msgid "ZFS-8000-5E.impact"
-msgstr "The pool is no longer available"
+msgstr "The pool is no longer available."
 msgid "ZFS-8000-5E.action"
-msgstr "\nFor an active pool\n\nIf this error was encountered while running 'zpool import', please see\nthe section below.  Otherwise, run 'zpool status -x' to determine which pool\nhas experienced a failure:\n\n\n# zpool status -x\n  pool: test\n state: FAULTED\nstatus: One or more devices could not be used because the the label is missing \n        or invalid.  There are insufficient replicas for the pool to continue\n        functioning.\naction: Destroy and re-create the pool from a backup source.\n   see: http://illumos.org/msg/ZFS-8000-5E\n scrub: none requested\nconfig:\n\n        NAME                  STATE     READ WRITE CKSUM\n        test                  FAULTED      0     0     0  insufficient replicas\n          c0t0d0              FAULTED      0     0     0  corrupted data\n          c0t0d1              ONLINE       0     0     0\n\nerrors: No known data errors\n\n\nThe device listed as FAULTED with 'corrupted data' cannot be opened due\nto a corrupt label.  ZFS will be unable to use the pool, and all data within the\npool is irrevocably lost.  The pool must be destroyed and recreated from an\nappropriate backup source.  Using replicated configurations will prevent this\nfrom happening in the future.\n\nFor an exported pool\n\nIf this error is encountered during 'zpool import', the action is the\nsame.  The pool cannot be imported - all data is lost and must be restored from\nan appropriate backup source.\n	"
+msgstr "The pool must be destroyed and recreated from an appropriate backup source."
 #
 # code: ZFS-8000-6X
 # keys: ereport.fs.zfs.pool.bad_guid_sum
@@ -113,13 +115,13 @@
 msgid "ZFS-8000-6X.severity"
 msgstr "Critical"
 msgid "ZFS-8000-6X.description"
-msgstr "One or more top level devices are missing.  Refer to %s for more information."
+msgstr "One or more top level devices are missing."
 msgid "ZFS-8000-6X.response"
 msgstr "No automated response will be taken."
 msgid "ZFS-8000-6X.impact"
-msgstr "The pool cannot be imported"
+msgstr "The pool cannot be imported."
 msgid "ZFS-8000-6X.action"
-msgstr "\nRun 'zpool import' to list which pool cannot be imported:\n\n\n# zpool import\n  pool: test\n    id: 13783646421373024673\n state: FAULTED\nstatus: One or more devices are missing from the system.\naction: The pool cannot be imported.  Attach the missing\n	devices and try again.\n   see: http://illumos.org/msg/ZFS-8000-6X\nconfig:\n\n        test              FAULTED   missing device\n          c0t0d0          ONLINE\n\n        Additional devices are known to be part of this pool, though their\n        exact configuration cannot be determined.\n\n\nZFS attempts to store enough configuration data on the devices such\nthat the configuration is recoverable from any subset of devices.  In some\ncases, particularly when an entire toplevel virtual device is not attached to\nthe system, ZFS will be unable to determine the complete configuration.  It will\nalways detect that these devices are missing, even if it cannot identify all of\nthe devices.\n\nThe pool cannot be imported until the unknown missing device is\nattached to the system.  If the device has been made available in an alternate\nlocation, use the '-d' option to 'zpool import' to search for devices in a\ndifferent directory.  If the missing device is unavailable, then the pool cannot\nbe imported.\n	"
+msgstr "Attach the missing devices and try again.  The pool cannot be imported until the unknown missing device is attached to the system."
 #
 # code: ZFS-8000-72
 # keys: ereport.fs.zfs.pool.corrupt_pool
@@ -129,13 +131,13 @@
 msgid "ZFS-8000-72.severity"
 msgstr "Critical"
 msgid "ZFS-8000-72.description"
-msgstr "The metadata required to open the pool is corrupt.  Refer to %s for more information."
+msgstr "The metadata required to open the pool is corrupt."
 msgid "ZFS-8000-72.response"
 msgstr "No automated response will be taken."
 msgid "ZFS-8000-72.impact"
 msgstr "The pool is no longer available"
 msgid "ZFS-8000-72.action"
-msgstr "\nEven though all the devices are available, the on-disk data\nhas been corrupted such that the pool cannot be opened.  If a recovery\naction is presented, the pool can be returned to a usable state.\nOtherwise, all data within the pool is lost, and the pool must be\ndestroyed and restored from an appropriate backup source.  ZFS\nincludes built-in metadata replication to prevent this from happening\neven for unreplicated pools, but running in a replicated configuration\nwill decrease the chances of this happening in the future.\n\nIf this error is encountered during 'zpool import', see the\nsection below.  Otherwise, run 'zpool status -x' to determine which\npool is faulted and if a recovery option is available:\n\n\n# zpool status -x\n  pool: test\n    id: 13783646421373024673\n state: FAULTED\nstatus: The pool metadata is corrupted and cannot be opened.\naction: Recovery is possible, but will result in some data loss.\n        Returning the pool to its state as of Mon Sep 28 10:24:39 2009\n        should correct the problem.  Approximately 59 seconds of data\n        will have to be discarded, irreversibly.  Recovery can be\n        attempted by executing 'zpool clear -F test'.  A scrub of the pool\n        is strongly recommended following a successful recovery.\n   see: http://illumos.org/msg/ZFS-8000-72\nconfig:\n\n        NAME                  STATE     READ WRITE CKSUM\n        test                  FAULTED      0     0     2  corrupted data\n            c0t0d0            ONLINE       0     0     2\n            c0t0d1            ONLINE       0     0     2\n\n\nIf recovery is unavailable, the recommended action will be:\n\n\naction: Destroy the pool and restore from backup.\n\n\nIf this error is encountered during 'zpool import', and if no\nrecovery option is mentioned, the pool is unrecoverable and cannot be\nimported.  The pool must be restored from an appropriate backup\nsource.  If a recovery option is available, the output from 'zpool\nimport' will look something like the following:\n\n\n# zpool import share\ncannot import 'share': I/O error\n        Recovery is possible, but will result in some data loss.\n        Returning the pool to its state as of Sun Sep 27 12:31:07 2009\n        should correct the problem.  Approximately 53 seconds of data\n        will have to be discarded, irreversibly.  Recovery can be\n        attempted by executing 'zpool import -F share'.  A scrub of the pool\n        is strongly recommended following a successful recovery.\n\n\nRecovery actions are requested with the -F option to either\n'zpool clear' or 'zpool import'.  Recovery will result in some data\nloss, because it reverts the pool to an earlier state.  A dry-run\nrecovery check can be performed by adding the -n option, affirming if\nrecovery is possible without actually reverting the pool to its\nearlier state.\n"
+msgstr "Try recovery of the pool if it's possible.  Otherwise the pool must be destroyed and restored from an appropriate backup source."
 #
 # code: ZFS-8000-8A
 # keys: ereport.fs.zfs.object.corrupt_data
@@ -145,13 +147,13 @@
 msgid "ZFS-8000-8A.severity"
 msgstr "Critical"
 msgid "ZFS-8000-8A.description"
-msgstr "A file or directory could not be read due to corrupt data.  Refer to %s for more information."
+msgstr "A file or directory could not be read due to corrupt data."
 msgid "ZFS-8000-8A.response"
 msgstr "No automated response will be taken."
 msgid "ZFS-8000-8A.impact"
 msgstr "The file or directory is unavailable."
 msgid "ZFS-8000-8A.action"
-msgstr "\nRun 'zpool status -x' to determine which pool is damaged:\n\n\n# zpool status -x\n  pool: test\n state: ONLINE\nstatus: One or more devices has experienced an error and no valid replicas\n        are available.  Some filesystem data is corrupt, and applications\n        may have been affected.\naction: Destroy the pool and restore from backup.\n   see: http://illumos.org/msg/ZFS-8000-8A\n scrub: none requested\nconfig:\n\n        NAME                  STATE     READ WRITE CKSUM\n        test                  ONLINE       0     0     2\n          c0t0d0              ONLINE       0     0     2\n          c0t0d1              ONLINE       0     0     0\n\nerrors: 1 data errors, use '-v' for a list\n\n\nUnfortunately, the data cannot be repaired, and the only choice to\nrepair the data is to restore the pool from backup.  Applications attempting to\naccess the corrupted data will get an error (EIO), and data may be permanently\nlost.\n\nOn recent versions of illumos, the list of affected files can be\nretrieved by using the '-v' option to 'zpool status':\n\n\n# zpool status -xv\n  pool: test\n state: ONLINE\nstatus: One or more devices has experienced an error and no valid replicas\n        are available.  Some filesystem data is corrupt, and applications\n        may have been affected.\naction: Destroy the pool and restore from backup.\n   see: http://illumos.org/msg/ZFS-8000-8A\n scrub: none requested\nconfig:\n\n        NAME                  STATE     READ WRITE CKSUM\n        test                  ONLINE       0     0     2\n          c0t0d0              ONLINE       0     0     2\n          c0t0d1              ONLINE       0     0     0\n\nerrors: Permanent errors have been detected in the following files:\n\n        /export/example/foo\n\n\nDamaged files may or may not be able to be removed depending on the\ntype of corruption.  If the corruption is within the plain data, the file should\nbe removable.  If the corruption is in the file metadata, then the file cannot\nbe removed, though it can be moved to an alternate location.  In either case,\nthe data should be restored from a backup source.  It is also possible for the\ncorruption to be within pool-wide metadata, resulting in entire datasets being\nunavailable.  If this is the case, the only option is to destroy the pool and\nre-create the datasets from backup.\n	"
+msgstr "Try recovery of the pool if it's possible.  Otherwise the pool must be destroyed and restored from an appropriate backup source."
 #
 # code: ZFS-8000-9P
 # keys: ereport.fs.zfs.device.failing
@@ -161,13 +163,13 @@
 msgid "ZFS-8000-9P.severity"
 msgstr "Minor"
 msgid "ZFS-8000-9P.description"
-msgstr "A device has experienced uncorrectable errors in a\n	    replicated configuration.  Refer to %s for more information."
+msgstr "A device has experienced uncorrectable errors in a replicated configuration."
 msgid "ZFS-8000-9P.response"
 msgstr "ZFS has attempted to repair the affected data."
 msgid "ZFS-8000-9P.impact"
-msgstr "The system is unaffected, though errors may indicate future\n	    failure.  Future errors may cause ZFS to automatically fault\n	    the device."
+msgstr "The system is unaffected, though errors may indicate future failure.  Future errors may cause ZFS to automatically fault the device."
 msgid "ZFS-8000-9P.action"
-msgstr "\nRun 'zpool status -x' to determine which pool has experienced\nerrors:\n\n\n# zpool status\n  pool: test\n state: ONLINE\nstatus: One or more devices has experienced an unrecoverable error.  An\n        attempt was made to correct the error.  Applications are unaffected.\naction: Determine if the device needs to be replaced, and clear the errors\n        using 'zpool online' or replace the device with 'zpool replace'.\n   see: http://illumos.org/msg/ZFS-8000-9P\n scrub: none requested\nconfig:\n\n        NAME                  STATE     READ WRITE CKSUM\n        test                  ONLINE       0     0     0\n          mirror              ONLINE       0     0     0\n            c0t0d0            ONLINE       0     0     2\n            c0t0d1            ONLINE       0     0     0\n\nerrors: No known data errors\n\n\nFind the device with a non-zero error count for READ, WRITE, or CKSUM.\nThis indicates that the device has experienced a read I/O error, write I/O\nerror, or checksum validation error.  Because the device is part of a mirror or\nRAID-Z device, ZFS was able to recover from the error and subsequently repair\nthe damaged data.\n\nIf these errors persist over a period of time, ZFS may determine the\ndevice is faulty and mark it as such.  However, these error counts may or may\nnot indicate that the device is unusable.  It depends on how the errors were\ncaused, which the administrator can determine in advance of any ZFS diagnosis.\nFor example, the following cases will all produce errors that do not indicate\npotential device failure:\n\n\nA network attached device lost connectivity but has now\nrecovered\nA device suffered from a bit flip, an expected event over long\nperiods of time\nAn administrator accidentally wrote over a portion of the disk using\nanother program\n\n\nIn these cases, the presence of errors does not indicate that the\ndevice is likely to fail in the future, and therefore does not need to be\nreplaced.  If this is the case, then the device errors should be cleared using\n'zpool clear':\n\n\n# zpool clear test c0t0d0\n\n\nOn the other hand, errors may very well indicate that the device has\nfailed or is about to fail.  If there are continual I/O errors to a device that\nis otherwise attached and functioning on the system, it most likely needs to be\nreplaced.   The administrator should check the system log for any driver\nmessages that may indicate hardware failure.  If it is determined that the\ndevice needs to be replaced, then the 'zpool replace' command should be\nused:\n\n\n# zpool replace test c0t0d0 c0t0d2\n\n\nThis will attach the new device to the pool and begin resilvering data\nto it.  Once the resilvering process is complete, the old device will\nautomatically be removed from the pool, at which point it can safely be removed\nfrom the system.  If the device needs to be replaced in-place (because there are\nno available spare devices), the original device can be removed and replaced\nwith a new device, at which point a different form of 'zpool replace' can be\nused:\n\n\n# zpool replace test c0t0d0\n\n\nThis assumes that the original device at 'c0t0d0' has been replaced\nwith a new device under the same path, and will be replaced\nappropriately.\n\nYou can monitor the progress of the resilvering operation by using the\n'zpool status -x' command:\n\n\n# zpool status -x\n  pool: test\n state: DEGRADED\nstatus: One or more devices is currently being replaced.  The pool may not be\n	providing the necessary level of replication.\naction: Wait for the resilvering operation to complete\n scrub: resilver in progress, 0.14% done, 0h0m to go\nconfig:\n\n        NAME                  STATE     READ WRITE CKSUM\n        test                  ONLINE       0     0     0\n          mirror              ONLINE       0     0     0\n            replacing         ONLINE       0     0     0\n              c0t0d0          ONLINE       0     0     3\n              c0t0d2          ONLINE       0     0     0  58.5K resilvered\n            c0t0d1            ONLINE       0     0     0\n\nerrors: No known data errors\n\n	"
+msgstr "Determine how errors were caused, and replace the device if needed."
 #
 # code: ZFS-8000-A5
 # keys: ereport.fs.zfs.device.version_mismatch
@@ -177,13 +179,13 @@
 msgid "ZFS-8000-A5.severity"
 msgstr "Major"
 msgid "ZFS-8000-A5.description"
-msgstr "The on-disk version is not compatible with the running\n	    system.  Refer to %s for more information."
+msgstr "The on-disk version is not compatible with the running system."
 msgid "ZFS-8000-A5.response"
 msgstr "No automated response will occur."
 msgid "ZFS-8000-A5.impact"
 msgstr "The pool is unavailable."
 msgid "ZFS-8000-A5.action"
-msgstr "\nIf this error is seen during 'zpool import', see the section below.\nOtherwise, run 'zpool status -x' to determine which pool is faulted:\n\n\n# zpool status -x\n  pool: test\n state: FAULTED\nstatus: The ZFS version for the pool is incompatible with the software running\n        on this system.\naction: Destroy and re-create the pool.\n scrub: none requested\nconfig:\n\n        NAME                  STATE     READ WRITE CKSUM\n        test                  FAULTED      0     0     0  incompatible version\n          mirror              ONLINE       0     0     0\n            c0t0d0            ONLINE       0     0     0\n            c0t0d1            ONLINE       0     0     0\n\nerrors: No known errors\n\n\nThe pool cannot be used on this system.  Either move the storage to the\nsystem where the pool was originally created, upgrade the current system\nsoftware to a more recent version, or destroy the pool and re-create it from\nbackup.\n\nIf this error is seen during import, the pool cannot be imported on the\ncurrent system.  The disks must be attached to the system which originally\ncreated the pool, and imported there.\n\nThe list of currently supported versions can be displayed using 'zpool\nupgrade -v'.\n	"
+msgstr "Either move the storage to the system where the pool was originally created, upgrade the current system software to a more recent version, or destroy the pool and re-create it from backup."
 #
 # code: ZFS-8000-CS
 # keys: fault.fs.zfs.pool
@@ -193,13 +195,13 @@
 msgid "ZFS-8000-CS.severity"
 msgstr "Major"
 msgid "ZFS-8000-CS.description"
-msgstr "A ZFS pool failed to open.  Refer to %s for more information."
+msgstr "A ZFS pool failed to open."
 msgid "ZFS-8000-CS.response"
 msgstr "No automated response will occur."
 msgid "ZFS-8000-CS.impact"
-msgstr "The pool data is unavailable"
+msgstr "The pool data is unavailable."
 msgid "ZFS-8000-CS.action"
-msgstr "Run 'zpool status -x' and attach any missing devices, follow\n     any provided recovery instructions or restore from backup."
+msgstr "Attach any missing devices, follow any provided recovery instructions or restore from backup."
 #
 # code: ZFS-8000-D3
 # keys: fault.fs.zfs.device
@@ -209,13 +211,13 @@
 msgid "ZFS-8000-D3.severity"
 msgstr "Major"
 msgid "ZFS-8000-D3.description"
-msgstr "A ZFS device failed.  Refer to %s for more information."
+msgstr "A ZFS device failed."
 msgid "ZFS-8000-D3.response"
-msgstr "No automated response will occur."
+msgstr "A hot spare will be activated if available."
 msgid "ZFS-8000-D3.impact"
 msgstr "Fault tolerance of the pool may be compromised."
 msgid "ZFS-8000-D3.action"
-msgstr "Run 'zpool status -x' and replace the bad device."
+msgstr "Replace the bad device."
 #
 # code: ZFS-8000-EY
 # keys: ereport.fs.zfs.pool.hostname_mismatch
@@ -225,13 +227,13 @@
 msgid "ZFS-8000-EY.severity"
 msgstr "Major"
 msgid "ZFS-8000-EY.description"
-msgstr "The ZFS pool was last accessed by another system  Refer to %s for more information."
+msgstr "The ZFS pool was last accessed by another system."
 msgid "ZFS-8000-EY.response"
 msgstr "No automated response will be taken."
 msgid "ZFS-8000-EY.impact"
-msgstr "ZFS filesystems are not available"
+msgstr "ZFS filesystems are not available."
 msgid "ZFS-8000-EY.action"
-msgstr "\n\nThe pool has been written to from another host, and was not cleanly exported\nfrom the other system.  Actively importing a pool on multiple systems will\ncorrupt the pool and leave it in an unrecoverable state.  To determine which\nsystem last accessed the pool, run the 'zpool import' command:\n\n\n# zpool import\n  pool: test\n    id: 14702934086626715962\nstate:  ONLINE\nstatus: The pool was last accessed by another system.\naction: The pool can be imported using its name or numeric identifier and\n        the '-f' flag.\n   see: http://illumos.org/msg/ZFS-8000-EY\nconfig:\n\n        test              ONLINE\n          c0t0d0          ONLINE\n\n# zpool import test\ncannot import 'test': pool may be in use from other system, it was last\naccessed by 'tank' (hostid: 0x1435718c) on Fri Mar  9 15:42:47 2007\nuse '-f' to import anyway\n\n\n\nIf you are certain that the pool is not being actively accessed by another\nsystem, then you can use the '-f' option to 'zpool import' to forcibly\nimport the pool.\n\n	"
+msgstr "If you are certain that the pool is not being actively accessed by another system, forcibly import the pool."
 #
 # code: ZFS-8000-FD
 # keys: fault.fs.zfs.vdev.io
@@ -241,13 +243,13 @@
 msgid "ZFS-8000-FD.severity"
 msgstr "Major"
 msgid "ZFS-8000-FD.description"
-msgstr "The number of I/O errors associated with a ZFS device exceeded\n	     acceptable levels.  Refer to %s for more information."
+msgstr "The number of I/O errors associated with a ZFS device exceeded acceptable levels."
 msgid "ZFS-8000-FD.response"
-msgstr "The device has been offlined and marked as faulted.  An attempt\n	     will be made to activate a hot spare if available. "
+msgstr "The device has been offlined and marked as faulted.  An attempt will be made to activate a hot spare if available."
 msgid "ZFS-8000-FD.impact"
 msgstr "Fault tolerance of the pool may be compromised."
 msgid "ZFS-8000-FD.action"
-msgstr "Run 'zpool status -x' and replace the bad device."
+msgstr "Replace the bad device."
 #
 # code: ZFS-8000-GH
 # keys: fault.fs.zfs.vdev.checksum
@@ -257,13 +259,13 @@
 msgid "ZFS-8000-GH.severity"
 msgstr "Major"
 msgid "ZFS-8000-GH.description"
-msgstr "The number of checksum errors associated with a ZFS device\nexceeded acceptable levels.  Refer to %s for more information."
+msgstr "The number of checksum errors associated with a ZFS device exceeded acceptable levels."
 msgid "ZFS-8000-GH.response"
-msgstr "The device has been marked as degraded.  An attempt\nwill be made to activate a hot spare if available."
+msgstr "The device has been marked as degraded.  An attempt will be made to activate a hot spare if available."
 msgid "ZFS-8000-GH.impact"
 msgstr "Fault tolerance of the pool may be compromised."
 msgid "ZFS-8000-GH.action"
-msgstr "Run 'zpool status -x' and replace the bad device."
+msgstr "Replace the bad device."
 #
 # code: ZFS-8000-HC
 # keys: fault.fs.zfs.io_failure_wait
@@ -273,13 +275,13 @@
 msgid "ZFS-8000-HC.severity"
 msgstr "Major"
 msgid "ZFS-8000-HC.description"
-msgstr "The ZFS pool has experienced currently unrecoverable I/O\n	    failures.  Refer to %s for more information."
+msgstr "The ZFS pool has experienced currently unrecoverable I/O failures."
 msgid "ZFS-8000-HC.response"
 msgstr "No automated response will be taken."
 msgid "ZFS-8000-HC.impact"
 msgstr "Read and write I/Os cannot be serviced."
 msgid "ZFS-8000-HC.action"
-msgstr "Make sure the affected devices are connected, then run\n	    'zpool clear'."
+msgstr "Make sure the affected devices are connected, then clear the pool's device errors."
 #
 # code: ZFS-8000-JQ
 # keys: fault.fs.zfs.io_failure_continue
@@ -289,13 +291,13 @@
 msgid "ZFS-8000-JQ.severity"
 msgstr "Major"
 msgid "ZFS-8000-JQ.description"
-msgstr "The ZFS pool has experienced currently unrecoverable I/O\n	    failures.  Refer to %s for more information."
+msgstr "The ZFS pool has experienced currently unrecoverable I/O failures."
 msgid "ZFS-8000-JQ.response"
 msgstr "No automated response will be taken."
 msgid "ZFS-8000-JQ.impact"
 msgstr "Read and write I/Os cannot be serviced."
 msgid "ZFS-8000-JQ.action"
-msgstr "Make sure the affected devices are connected, then run\n	    'zpool clear'."
+msgstr "Make sure the affected devices are connected, then clear the pool's device errors."
 #
 # code: ZFS-8000-K4
 # keys: fault.fs.zfs.log_replay
@@ -305,11 +307,42 @@
 msgid "ZFS-8000-K4.severity"
 msgstr "Major"
 msgid "ZFS-8000-K4.description"
-msgstr "A ZFS intent log device could not be read.  Refer to %s for more information."
+msgstr "A ZFS intent log device could not be read."
 msgid "ZFS-8000-K4.response"
 msgstr "No automated response will be taken."
 msgid "ZFS-8000-K4.impact"
 msgstr "The intent log(s) cannot be replayed."
 msgid "ZFS-8000-K4.action"
-msgstr "Either restore the affected device(s) and run 'zpool online',\n	    or ignore the intent log records by running 'zpool clear'."
-
+msgstr "Either restore the affected device(s) and online them, or ignore the intent log records by clearing the pool's device errors."
+#
+# code: ZFS-8000-LR
+# keys: fault.fs.zfs.vdev.not_spared
+#
+msgid "ZFS-8000-LR.type"
+msgstr "Fault"
+msgid "ZFS-8000-LR.severity"
+msgstr "Major"
+msgid "ZFS-8000-LR.description"
+msgstr "Suitable spare was not found."
+msgid "ZFS-8000-LR.response"
+msgstr "No automated response will be taken."
+msgid "ZFS-8000-LR.impact"
+msgstr "Pool redundancy may be compromised."
+msgid "ZFS-8000-LR.action"
+msgstr "Replace the failed device and clear the pool's device errors."
+#
+# code: ZFS-8000-M2
+# keys: fault.fs.zfs.vdev.dumb_spared
+#
+msgid "ZFS-8000-M2.type"
+msgstr "Fault"
+msgid "ZFS-8000-M2.severity"
+msgstr "Major"
+msgid "ZFS-8000-M2.description"
+msgstr "Spare matching based on sparegroup and FRU has failed."
+msgid "ZFS-8000-M2.response"
+msgstr "No automated response will be taken."
+msgid "ZFS-8000-M2.impact"
+msgstr "Pool redundancy may be compromised."
+msgid "ZFS-8000-M2.action"
+msgstr "Inspect activated spare to confirm pool redundancy is intact."